qubeKey: source-punk-api
name: source-punk-api
type: airbyte-source
id: source-punk-api
maturity: alpha
ui:
  icon: <svg xmlns="http://www.w3.org/2000/svg" width="250" height="250" fill="none"><g
    clip-path="url(#a)"><path fill="#00AFDB" d="M155.65 127.3H95v23.89h60.65V127.3Z"/><path
    fill="#231F20" d="M155.64 119.65v7.65H95v-3.38a32.324 32.324 0 0 1 12.75-25.79l5.33-71.53-1.58-5
    .24-4.43.2-4c.29-4 5.48-7.15 9.52-7.15h9.43a7.698 7.698 0 0 1 7.68 7.3l.13 2.15.22
    4.22-1.51 6.11 5.31 70.16a28.195 28.195 0 0 1 12.92 23.71v-.02Zm0 102.35v5.9a16.161
    16.161 0 0 1-16.15 16.1h-28.34A16.162 16.162 0 0 1 95 227.85V222h60.64Z"/><path
    fill="#00AFDB" d="M155.65 151.19H95v70.76h60.65v-70.76Z"/></g><defs><clipPath
    id="a"><path fill="#fff" d="M95 6h60.65v238H95z"/></clipPath></defs></svg>
  shortDescription: api
  description: ''
  links:
  - linkName: Documentation
    url: https://docs.airbyte.com/integrations/sources/punk-api
properties:
  type: object
  title: Punk Api Spec
  schema: http://json-schema.org/draft-07/schema#
  required:
  - brewed_before
  - brewed_after
  properties:
    id:
      type: string
      title: Beers with specific ID
      examples:
      - 1
      - 22
      description: To extract specific data with Unique ID
    brewed_after:
      type: string
      title: Brewed after data to get incremental reads
      pattern: ^[0-9]{2}-[0-9]{4}$
      examples:
      - MM-YYYY
      description: To extract specific data with Unique ID
    brewed_before:
      type: string
      title: Brewed before data to get incremental reads
      pattern: ^[0-9]{2}-[0-9]{4}$
      examples:
      - MM-YYYY
      description: To extract specific data with Unique ID
  additionalProperties: true
schemaType: {}
